#include "sut.h"

/*D
  phostname - Converts the leading number into a node name for output from
              prun and other Scalable Unix Tools

  Examples:
.vb
 pexec -all df /tmp | phostname
.ve
 will generate a information on the space on '/tmp', with the first item in
 each line the name of the node (e.g., workstation) that generated it.

D*/
int main(argc, argv)
int argc;
char **argv;
{
int  maxlen, hostnum;
char buf[1024];
char fmat[32];

/* Get the length of the longest name */
maxlen = SUT_Max_name_len();

/* Make format with specified line length */
sprintf( fmat, "%%-%ds %%s", maxlen );

/* Read from stdin and change the number to a name */
while (1) {
    if (fgets( buf, 1024, stdin ) == 0) break;
    buf[4]  = 0;
    hostnum = atoi( buf );
    fprintf( stdout, fmat, SUT_HostName( hostnum, (void *)0 ), buf + 5 );
    }

return 0;
}
